<Project Sdk="Microsoft.NET.Sdk">

  <ItemGroup>
    <ProjectReference Include="..\Tiku.Application\Tiku.Application.csproj" />
    <ProjectReference Include="..\Tiku.Domain\Tiku.Domain.csproj" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AlibabaCloud.OSS.V2" />
    <PackageReference Include="AlibabaCloud.SDK.Dysmsapi20170525" />
    <PackageReference Include="AlipaySDKNet.Standard" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Relational" />
    <PackageReference Include="Microsoft.AspNetCore.DataProtection.EntityFrameworkCore" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" />
    <PackageReference Include="Microsoft.Extensions.Http" />
    <PackageReference Include="Microsoft.Extensions.Options" />
    <PackageReference Include="Microsoft.Extensions.Caching.StackExchangeRedis" />
    <PackageReference Include="StackExchange.Redis" />
    <PackageReference Include="Microsoft.SemanticKernel" />
    <PackageReference Include="Npgsql" />
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" />
    <PackageReference Include="Senparc.Weixin" />
    <PackageReference Include="Senparc.Weixin.MP" />
    <PackageReference Include="Senparc.Weixin.TenPayV3" />
    <PackageReference Include="Senparc.Weixin.WxOpen" />
    <PackageReference Include="System.IdentityModel.Tokens.Jwt" />
  </ItemGroup>

  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

</Project>
